MeasurePolarAngle Class

class NXOpen.MeasurePolarAngle

Bases: NXOpen.SingleMeasure

Represents a single valued polar angle measurement

New in version NX8.5.0.

Properties

Property Description
MeasurementType Returns the type of the measurement
Value Returns the value of the measurement

Methods

Method Description
CreateEmbeddedObject Creates an embedded measurement.
CreateFeature Creates and returns a measurement feature
Dispose Free resources associated with the measure.
Information Display information about a measurement.

Method Detail

CreateEmbeddedObject

MeasurePolarAngle.CreateEmbeddedObject

Creates an embedded measurement.

The name of the measurement can be used in an expression formula.

Signature CreateEmbeddedObject()

Returns:a tuple
Return type:A tuple consisting of (measurement, name). measurement is a NXOpen.Scalar. the measurement name is a str. the name of the measurement

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateFeature

MeasurePolarAngle.CreateFeature

Creates and returns a measurement feature

Signature CreateFeature()

Returns:
Return type:NXOpen.Measure

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)